Get user by ID or username

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `User` + `Get` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge></div> </Info> Get a specific user by ID provided the user is within this requesting user's organisation or the organisation's immediate child organisations. `id` may be one of: * The numeric ID of the user, e.g. "123". This is the top-level `id` object returned by each item in `GET /api/v1/user` * Username (email), e.g. "exampleuser@org.de". This is the top-level `username` object returned by each item in `GET /api/v1/user`

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

user_iddoubleRequired
User ID

Response

Success
idintegerOptional
usernamestringOptional
namestringOptional
createdstringOptional
statusobjectOptional
organisationobjectOptional
roleslist of objectsOptional
mfalist of objectsOptional

Errors

403
Forbidden Error
404
Not Found Error